> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-requests-overview/1.-subscription-get-events.md).

# 1. Subscription: Získání událostí

Sledovat odběry, když `INSERT`/`MODIFY`/`REMOVE` dojde k akcím s entitami „Farm“, „Field“, „FieldSatelliteImage“, „RasterAnalysisMap“, „VectorAnalysisMap“ a dalšími.

Mechanismus odběrů je postavený na MQTT a WebSocketu. Doporučujeme začít integraci přečtením článku [o odběrech AWS AppSync](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).

{% hint style="info" %}
Události odběrů se odesílají do backendu GeoPard ihned po jejich vzniku.
{% endhint %}

{% hint style="info" %}
Každá událost odběru má jedinečný identifikátor s názvem `uuid`, který je užitečný k filtrování zpracovaných a zmeškaných událostí vyžádaných pomocí [82. Dotaz: Obnovení událostí odběru](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-requests-overview/82.-query-restore-subscription-events.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/geopard-api-requests-overview/1.-subscription-get-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
